# Contributing
Thank you for wanting to help with this project! Pull requests and bug reports are always welcome, there are just some small things you should review before submitting.

## Issues
If you find any issue with the library, feel free to open an issue report. If it's just a small issue you might want to consider just asking on Slack (see below).

## Feature Requests
You may open an issue also to request new features. Make sure you describe what you are missing in the library and add any pointers someone might need to implement it.

## Pull Requests
If you consider submitting a pull request, please note the following:

1. All pull requests **must** be submitted to the `Development` branch. The `master` branch is exclusively mutable by release. PRs against `master` will not be merged.
2. Please make sure you follow the projects code style. To make sure you did, you can use `./gradlew checkstyleMain`.
3. The project is licensed under [GNU GPLv3](../LICENSE.txt) thus all code you submit will be subject to this license.

## Contact
If you have any questions regarding the library you can ask those on the `#javaapi` channel on the [Pokemon GO Reverse Engineering Slack](https://pkre.slack.com/). You can [get your invite here](https://shielded-earth-81203.herokuapp.com/).
